OPENTRACKER(8)

NAME
opentracker - Open bittorrent tracker

SYNOPSIS

opentracker [ -i ip ] [ -p port ] [ -P port ] [ -r redirect ] [ -d dir ] [ -u user ] [ -A ip ] [ -f config ] [ -s livesyncport ] [ -w whitelistfile ]

DESCRIPTION

This tracker is open in a sense that everyone announcing a torrent is welcome to do so and will be informed about anyone else announcing the same torrent. Only source IPs are accepted. The tracker implements a minimal set of essential features only but was able respond to far more than 10000 requests per second on a Sun Fire 2200 M2 (that's where we found no more clients able to fire more of our testsuite.sh script).

OPTIONS

-f config
    include and execute the config file

-i ip
    specify ip to bind to (default: *, you may specify more than one)

-p port
    specify tcp port to bind to (default: 6969, you may specify more than one)

-P port
    specify udp port to bind to (default: 6969, you may specify more than one)

-r redirecturlspecify
    url where / should be redirected to (default none)

-d dir
    specify directory to try to chroot to (default: ".")

-u user
    specify user under whose privileges opentracker should run (default: "nobody")

-A ip
    bless an ip address as admin address (e.g. to allow syncs from this address)

-w file
    specify whitelist file -h, -?, --help show a help message and exit

-ht, --host HOST
    host (default: localhost)

-p, --port PORT
    port (default: 8080)

-mp, --multiprocessor PROCESS_COUNT
    define how many processes for the grammar checker

-t, --test_page
    page to test the server on /

-on, --opt-on [OPT]...
    activate options

-off, --opt-off [OPT]...
    deactivate options